<?php
//inclusion des fichiers principaux
$path = $_SERVER['DOCUMENT_ROOT'];
include_once $path.'/common.php';
include_once $path.'/Model_adm.php';

$arr = Model_esia::getWebPlugin($dbconnection,false,'WEBP_IMPORT');
$plugin_url = $arr[0]['apache_path'];

$page_url = "$plugin_url/".$arr[0]['index_page'];
$template_path= $path.$plugin_url.'template/';

//NAVBAR
$navbar->addElement($lang[$arr[0]['name']],$page_url,$arr[0]['icon']);

if(isset($_GET['action']))
{
	$action = $_GET['action'];
	$smarty->assign('action',$action);

	if($action == 'add_rdp')
	{
		$devgroup=array();
		$devgroup = $_SESSION['import_id_node_group'];
		foreach($devgroup as $group)
		{
			$devices = Model_esia::newgetNodeList($dbconnection,$user->getId(),$group,Model_esia::NODE_ASSOC);
			foreach ($devices as $device)
			{
				$soft_id = 'soft_id@'.$device['id'];
				$soft = 'softwares@'.$device['id'];

				if($_POST[$soft]=='none' && !empty($device['rdp_software']))
				{
					Model_esia::delEsiaRdp($dbconnection,$device['id']);
				}
				else
				{
					if(isset($_POST[$soft_id]) && !empty($_POST[$soft_id]) && strcmp($_POST[$soft_id],$device['rdp_soft_id'])!==0)
					{
						if(isset($_POST[$soft]) && !empty($_POST[$soft]))
						{
							try{
								$params = array('type'=>$_POST[$soft],'id'=>$_POST[$soft_id]);
								$type = Model_adm::getAdvanceNodeConfigType($dbconnection,'RDP')[0]['id'];
								$oldAdvConfig = Model_adm::getAdvanceNodeConfig($dbconnection,$device['id'],null,$type);
								if(empty($oldAdvConfig)){
									Model_adm::addAdvanceNodeConfig($dbconnection,$device['id'],$type,$params);
								}
								else{
									Model_adm::updateAdvanceNodeConfig($dbconnection,$oldAdvConfig[0]['id'],json_encode($params));
								}
							}catch(Exception $e){
								echo 'Error : '.$e->getMessage();
							}
						}
						else
						{
							//echo "JE LE MODIFIE PAS<br>";
							// METTRE SMARTY ERROR
						}
					}
					else
					{
						//echo "JE LE MODIFIE PAS<br>";
						// METTRE SMARTY ERROR;
					}
				}
			}
		}

		$action='rdp';
		$_POST = array();
		$_POST['nodegroup']=$devgroup;
		$smarty->assign('action','rdp_result');
	}


	if($action == 'rdp')
	{
	    if(!$user->getDroits($dbconnection,"esia_import") && !$user->getDroits($dbconnection,"esia_administration"))
	    {
    	    $smarty->assign('no_header',true);
    	    $smarty->display('no_access.html');
    	    exit(0);
	    }
		if(empty($_POST)) //Default case, not a POST request
		{
			$arr = Model_esia::getGroupDeviceIn($dbconnection);
			$select =array();
			foreach($arr as $top)
			{
				$tmp = convert_tree_to_select($top,0);
				$select = array_merge($select, $tmp);
			}
			$smarty->assign('adm_nodegroup', $select);
		}
		elseif(isset($_POST['nodegroup'])&&!empty($_POST['nodegroup']))
		{
			$devgroup=array();
			$devgroup = $_POST['nodegroup'];
			$devices=array();
			$dev_ret=array();
			$i=0;
			foreach($devgroup as $group)
			{
				$devices = Model_esia::newgetNodeList($dbconnection,$user->getId(),$group,Model_esia::NODE_ASSOC);
				foreach($devices as $device)
				{
					$dev_ret[$i]['id']=$device['id'];
					$dev_ret[$i]['name']=$device['name'];
					$dev_ret[$i]['group']=$device['group'];
					$dev_ret[$i]['type']=$device['type'];
					$dev_ret[$i]['ip']=$device['ip'];
					$dev_ret[$i]['software']=$device['rdp_software'];
					$dev_ret[$i]['soft_id']=$device['rdp_soft_id'];
					$i++;
				}
			}
			$smarty->assign('devices',$dev_ret);
			$smarty->assign('action','rdp_result');
			$_SESSION['import_id_node_group'] = $devgroup;
			$softwares = array('none','teamviewer','logmein');
			$smarty->assign('softwares',$softwares);
			/*echo '<pre>';
			print_r($dev_ret);
			echo '</pre>';*/
		}
	}
	elseif($action == 'csv')
	{
		/* CODE POUR UN IMPORT VIA CSV */
	}
}
else
{
	$smarty->assign('action','main');
}

$smarty->display($template_path.'import_header.html');

function convert_tree_to_select($top,$itt,$parentid=null,$parentname=null)
{
	/*for($i=0;$i<$itt;$i++)
		echo'=';
		echo $top['name'].'<br />';*/
	$pname=null;
	if(isset($parentname))
	{
		$pname = $parentname.' > '.$top['name'];
	}
	else
	{
		$pname = $top['name'];
	}
	$arr=array();
	$arr[]=array('id'=>$top['id'],'name'=>$top['name'],'level'=>$itt,'parent'=>$parentid,'parent_name'=>$pname);
	$itt++;
	if(isset($top['child']))
	{
		$tmp=array();
		foreach($top['child'] as $child)
		{
			$tmp = convert_tree_to_select($child,$itt,$top['id'],$pname);
			$arr = array_merge($arr, $tmp);
		}
	}

	return $arr;
}
?>
