//Need common.js
function select_all(){	
	$.each($('.myCheck'), function( index, value ) {
		$(this).prop("checked",true);
		$(this).parent().parent().find('.parameterNode').show();
		$(this).parent().parent().find('.showParam').addClass("opened");
		$(this).parent().parent().addClass("chosed");
	});
}
function unselect_all(){
	$.each($('.myCheck'), function( index, value ) {
		$(this).prop("checked",false);
		$(this).parent().parent().find('.parameterNode').hide();
		$(this).parent().parent().find('.showParam').removeClass("opened");

		$(this).parent().parent().removeClass("chosed");
	});
}

function change_button(checkboxes){	
	if( checkboxes.filter(':checked').length > 0 ){
		$( '#add-nodes-button' ).prop("disabled",false);
	}
	else {
		$( '#add-nodes-button' ).prop("disabled",true);
	}
}

function set_all_items(input){


	var val = input.val();
	var name = input.attr('name');

	var checkboxes = $("body").data("checkboxes");
	checkboxes.filter(':checked').parents(".contentNode ").find(':input[name="'+ name + '"]').val(val).trigger('change');

	// if(name =="group" || name=="pattern") {
	// 	val = val.toString().split('-!-');
	// 	console.log(val[1]);
	// 	var checkboxes = $("body").data("checkboxes");
	// 	checkboxes.filter(':checked').parents("tr").find('.chosen-choices').prepend('<li class="search-choice"><span>'+val[1]+'</span><a class="search-choice-close" data-option-array-index="'+val[0]+'"></a></li>')
	// }else{
	// 	var checkboxes = $("body").data("checkboxes");
	// 	checkboxes.filter(':checked').parents("tr").find(':input[name="'+ name + '"]').val(val);
	// }
	
}

function reloadchosen()
{
	$.ajax({url:'/administration.php',
		type : 'GET',
		data : 'admin=nodegroups&action=list&type=xml',
		dataType : 'xml',
		success : function(data)
			{
				arr = [];
				//construction de l'array avec les option déjà présente
				$("#nodegroup option").each(function()
				{
					arr.push($(this).val());
				});
				var docXML= data;
				var items = docXML.getElementsByTagName("group");
				for (i=0;i<items.length;i++)
				{
					groupid = items.item(i).attributes['id'].value;
					//on recherche le groupid 
					if($.inArray(groupid,arr)==-1)
					{
						//l'option n'est pas encore présente on l'ajoute
    					groupname = items.item(i).attributes['name'].value;
    					$("#nodegroup").append("<option value='"+groupid+"'>"+groupname+"</option>");
    					//update du chosen
    					$("#nodegroup").trigger("chosen:updated");
					}
				}
			}
	});	
}

function add_filter_type() {
	var nodeType = new Array();

	$.each($('.aNode .imgTypeNode span'), function( index, value ) {
		if($.inArray($(this).text(),nodeType) == -1) {
			nodeType.push($(this).text());
		}
	});

	var select = "<select class='typeToSelect'><option></option>";
	$.each(nodeType, function(index,value){
		select += "<option>"+value+"</option>";
	});

	$('.filters .selectType').append(select);
}

function add_filter_snmp() {
	var snmpType = new Array();

	$.each($('.aNode .snmpHideStatus'), function( index, value ) {
		if($.inArray($(this).text(),snmpType) == -1) {
			snmpType.push($(this).text());
		}
	});

	var select = "<select class='snmpToSelect'><option></option>";
	$.each(snmpType, function(index,value){
		select += "<option>"+value+"</option>";
	});

	$('.filters .selectSnmp').append(select);
}

$(document).ready(function(){
	$(".chosen").chosen({no_results_text: "",search_contains:true});
	var table = $('.nodeDetected');

	var taskid = table.data('taskid');
	table.find('.contentNode').each(function(){	
		var node = $(this);
		
		$(this).find('.rescan_node').on( 'click', function(e){

			var actif = $(this);
			actif.parent().parent().parent().parent().parent().parent().parent().find('.theLoader').show();

			var address = node.find('input[name=address]').val();
			var com = node.find('input[name=community]').val(); 
			
			$.getJSON( "/plugin/importation/host.ajax.php?taskid="+taskid+'&ip='+address+'&com='+com, function( data ) {
				if(data.found){
					$.each(data, function(key,val){
						if( val != null){
							switch(key){
								case "snmp_ver" :
									node.find(':input[name=snmp_ver]').val(val);
									break;
								case "snmp_com" :
									node.find(':input[name=community]').val(val);
									break;
								case "node_type" :
									node.find(':input[name=type]').val(val);
									break;
								case "node_pattern" :
									node.find(':input[name=pattern]').val(val);
									break;
								case "node_logo" :
									var container = node.find('.imgTypeNode');
									container.find('img').remove();
									container.prepend('<img src="'+val+'" />');
									break;
								case "node_desc" :
									node.find('.imgTypeNode span.tooltipstered').text(val);
									break;
								case "check_snmp" :
									if(val=='open'){
										node.find('.snmpStat img').attr("src","/theme/default/images/snmp.png");
									}
									break;
							}
						}
					});
					actif.parent().parent().parent().parent().parent().parent().parent().find('.theLoader').hide();
				}
				else{
					node.find(':input[name=snmp_ver]').val('no');
					node.find(':input[name=community]').val('');

					actif.parent().parent().parent().parent().parent().parent().parent().find('.theLoader').hide();
				}
			});
		} );
		
		$("select.chosen").change(function() {
			$(this).trigger("chosen:updated");
		}); 
	});

	$(document).on('click',".myCheck",function() {
		if($(this).prop('checked')){
			$(this).parent().parent().find('.parameterNode').show();
			$(this).parent().parent().find('.showParam').addClass("opened");
			$(this).parent().parent().addClass("chosed");
		}else{
			$(this).parent().parent().find('.parameterNode').hide();
			$(this).parent().parent().find('.showParam').removeClass("opened");

			$(this).parent().parent().removeClass("chosed");
		}
	});
	$('.copyClip').on( 'click', function(e){
		e.preventDefault();
		var $temp = $("<input>");
	    $("body").append($temp);
	    $temp.val($(this).next().val()).select();
	    document.execCommand("copy");
	    $temp.remove();
	} );
	$('.selectAll').on("click", function(){
		select_all();
		$( '#add-nodes-button' ).prop("disabled",false);
	});
	$('.unselectAll').on("click", function(){
		unselect_all();
		$( '#add-nodes-button' ).prop("disabled",true);
	});
	$('.showNew').on("click", function(){
		$(".myCheck").prop("checked", false);
		$(".chosed").removeClass('chosed');
		$('.showParam').removeClass('opened');
		$('.parameterNode').hide();

		item = $('.aNode').find('.sameAddrVerif:contains("0")');

		item.parent().parent().parent().parent().addClass("chosed");
		item.parent().parent().parent().parent().find('.showParam').addClass("opened");
		item.parent().parent().parent().parent().find('.parameterNode').show();
		item.parent().parent().parent().parent().find('.myCheck').prop("checked", true);

		change_button(table.find('.aNode').find('input[type="checkbox"]'));
	});

	add_filter_type();
	add_filter_snmp();

	$(document).on('change','.filters select.typeToSelect', function() {
		if($(this).val() == ""){
			$(".myCheck").prop("checked", false);
			$(".chosed").removeClass('chosed');
			$('.showParam').removeClass('opened');
			$('.parameterNode').hide();
		}else{

			$(".myCheck").prop("checked", false);
			$(".chosed").removeClass('chosed');
			$('.showParam').removeClass('opened');
			$('.parameterNode').hide();

			item = $('.aNode').find('.imgTypeNode span:contains("'+$(this).val()+'")');

			item.parent().parent().parent().parent().addClass("chosed");
			item.parent().parent().parent().parent().find('.showParam').addClass("opened");
			item.parent().parent().parent().parent().find('.parameterNode').show();
			item.parent().parent().parent().parent().find('.myCheck').prop("checked", true);
		}

		change_button(table.find('.aNode').find('input[type="checkbox"]'));
	});
	$(document).on('change','.filters select.snmpToSelect', function() {
		if($(this).val() == ""){
			$(".myCheck").prop("checked", false);
			$(".chosed").removeClass('chosed');
			$('.showParam').removeClass('opened');
			$('.parameterNode').hide();
		}else{

			$(".myCheck").prop("checked", false);
			$(".chosed").removeClass('chosed');
			$('.showParam').removeClass('opened');
			$('.parameterNode').hide();

			item = $('.aNode').find('.snmpHideStatus:contains("'+$(this).val()+'")');

			item.parent().parent().parent().parent().addClass("chosed");
			item.parent().parent().parent().parent().find('.showParam').addClass("opened");
			item.parent().parent().parent().parent().find('.parameterNode').show();
			item.parent().parent().parent().parent().find('.myCheck').prop("checked", true);
		}
		change_button(table.find('.aNode').find('input[type="checkbox"]'));
	});
	$(document).on('keyup','.filters input#lookForIP', function() {
		searchIP = $(this).val();

		if(searchIP == ""){
			$(".myCheck").prop("checked", false);
			$(".chosed").removeClass('chosed');
			$('.showParam').removeClass('opened');
			$('.parameterNode').hide();
		}else{

			$(".myCheck").prop("checked", false);
			$(".chosed").removeClass('chosed');
			$('.showParam').removeClass('opened');
			$('.parameterNode').hide();

			item = $('.aNode').find('.address:contains("'+searchIP+'")');

			item.parent().parent().parent().parent().addClass("chosed");
			item.parent().parent().parent().parent().find('.showParam').addClass("opened");
			item.parent().parent().parent().parent().find('.parameterNode').show();
			item.parent().parent().parent().parent().find('.myCheck').prop("checked", true);
		}
		change_button(table.find('.aNode').find('input[type="checkbox"]'));
	});


	$(document).on('click',".showParam",function() {
		$(this).parent().parent().parent().next().toggle();
		if($(this).hasClass("opened")){
			$(this).removeClass("opened");
		}else{
			$(this).addClass("opened");
		}
	});

	
	//******CHECKBOXES MANIPUMATIONS *****//
	var checkboxes = table.find('.aNode').find('input[type="checkbox"]');
	$("body").data("checkboxes",checkboxes);



	
	checkboxes.change(function(){
		change_button(checkboxes);
	});
	
	//******INPUT MANIPUMATIONS *****//
	//Disable le filter sur all_body en retirant display:none a la fin de l'event filterEnd.
	var all_body = $("#all_body" ); 
	
	all_body.find(":input").on("keyup change",function(){
		set_all_items($(this));
	});
	
	table.find("tr").find("td").find('input.invalid-input').keyup(function(){
		if( $( this ).val() == $( this ).data("origin") )
			$( this ).addClass('invalid-input');
		else
			$( this ).removeClass('invalid-input');
	});
	
	//******DIALOG BOX CONFIGURATION *****//
	var minWidth = minHeight = 360;
	var width  = $(window).width()*0.5;
	var height = $(window).height()*0.5;
	
	if(width < minWidth) width = minWidth;
	if(height < minHeight) height = minHeight;
	
	var dialog = $( "#dialog" );
	dialog.dialog({
		autoOpen: false,
		width:width,
		height:height
	});
	
	$('#add-nodes-button').click(function(){
		var data={};
				
		table.find('.aNode').each(function(index){
			if($(this).find('input[type="checkbox"]').is(':checked')){
				 data[index] = $(this).find("input, select").serializeArray();
			}
		});
		gesa_sn = $("#gesa_sn").data('value');
		data = "action=save&gesa="+gesa_sn+"&data="+encodeURIComponent(JSON.stringify(data)); 
		
		dialog.html('<img src="/theme/default/images/loader.gif" alt="Loading..." style="margin: auto;display:block;">').dialog( "open" );

		$.ajax({
			  type: "POST",
			  data: data,
		}).done(function(data){
			data='<div style="height:100%;overflow-y:auto;">'+data+'</div>';
			dialog.html(data);
		});
	});
	
	//******MULTISELECTS *****//
	// function split( val ) {
	//     return val.split( /,\s*/ );
	//   }
	//   function extractLast( term ) {
	//     return split( term ).pop();
	//   }


	  
	//   table.find("td").find(".td-multiselect-chosen").each(function(){
	//   	var th_list = table.find("thead").find("th");
	// 	var list = th_list.filter( '.th-' + $(this).data('th-col') ).data('autocomplete');

	// 	list = list.toString();
	// 	list = list.split(',');

	// 	select = $(this);

	// 	$.each( list, function(i,l){

	// 	  	select.append($('<option>', {
	// 		    value: l,
	// 		    text: l
	// 		}));

	// 	});

	//   });
	//   $('.floatingWidth').find(".td-multiselect-chosen").each(function(){
	//   	var th_list = table.find("thead").find("th");
	// 	var list = th_list.filter( '.th-' + $(this).data('th-col') ).data('autocomplete');

	// 	list = list.toString();
	// 	list = list.split(',');

	// 	select = $(this);

	// 	$.each( list, function(i,l){

	// 	  	select.append($('<option>', {
	// 		    value: i+'-!-'+l,
	// 		    text: l
	// 		}));
			
	// 	});

	//   });

	//   	$(".chosen-select").chosen();

	function split( val ) {
	    return val.split( /,\s*/ );
	  }
	  function extractLast( term ) {
	    return split( term ).pop();
	  }


	  
	 $(".groupedActionImport>div, .nodeDetected ").find(":input.td-multiselect-input").each(function(){
		 var th_list = $('.groupedActionImport>div');
		 var list = th_list.filter( '.th-' + $(this).data('th-col') ).data('autocomplete');
		 
		 $(this)
		// don't navigate away from the field on tab when selecting an item
		    .on( "keydown", function( event ) {
		      if ( event.keyCode === $.ui.keyCode.TAB &&
		          $( this ).autocomplete( "instance" ).menu.active ) {
		        event.preventDefault();
		      }
		    })
		    .autocomplete({
		      minLength: 0,
		      source: function( request, response ) {	    	  
		        // delegate back to autocomplete, but extract the last term
		        response( $.ui.autocomplete.filter(
		        		list, extractLast( request.term ) ) );
		      },
		      focus: function() {
		        // prevent value inserted on focus
		        return false;
		      },
		      select: function( event, ui ) {
		        var terms = split( this.value );
		        // remove the current input
		        terms.pop();
		        // add the selected item
		        terms.push( ui.item.value );
		        // add placeholder to get the comma-and-space at the end
		        terms.push( "" );
		        this.value = terms.join( ", " );
		        
		        if($(this).is('#all_body :input')){
		        	set_all_items($(this));
		        }
		        return false;
		      }
		    });
	 });

	
	//******TABLE CONFIGURATION *****//
	 //createTableHost("#host_list");
	 //configure_table("host_list"); 
	 
	 $("#all_body").find('td').css("padding","0px 4px");
	
	 var array_sorter=[];
	 table.find('th').each(function( index ){
		 var sorter = $(this).data('sorter'); 
		 if( sorter != 'default' ){
			 array_sorter[index] = { "sorter" : sorter };
		 }
	 });
});
