<?php
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'IMPORT_SCAN_ADD_SCAN_LABEL'        	=> "Start a new scan" ,
		'IMPORT_SCAN_ENDED'        	=> "History of imports" ,
		'IMPORT_SCAN_ENDED_ERROR'         	=> "History of imports in error" ,
		'IMPORT_SCAN_DETECTED_NODES'         	=> "Detected nodes" ,
		'IMPORT_SCAN_SELECT_SCAN_TYPE_LABEL'	=> "Scan type",
		'IMPORT_SCAN_SELECT_SOURCE_AGENT_LABEL'	=> "Scan source",
		'IMPORT_SCAN_ENCODE_FIRST_ADDR_LABEL'	=> "First IP",
		'IMPORT_SCAN_ENCODE_LAST_ADDR_LABEL'	=> "Last IP",
		'IMPORT_SCAN_ENCODE_COMMUNITIES_LABEL'	=> "SNMP Community",
		'IMPORT_SCAN_START_SCAN_BUTTON_VALUE'	=> "Start",	
		'IMPORT_SELECT_TITLE'					=> "Select :",
		'IMPORT_SELECT_ALL'						=> "All",
		'IMPORT_SELECT_BY_IP'					=> "By IP",
		'IMPORT_UNSELECT_ALL'				=> "Neither",
		'IMPORT_SELECT_TYPE'				=> "Type : ",
		'IMPORT_HTTP_INTERFACE'				=> "Access to node web interface",
		'IMPORT_RESCAN'						=> "Restart SNMP scan to this node",
		'IMPORT_SELECT_NEW'				=> "New Nodes",
		
		'IMPORT_SCAN_DELETE_BUTTON_TOOLTIP'		=> "Delete this scan",
		'IMPORT_SCAN_SEE_BUTTON_TOOLTIP'		=> "List the detected nodes",
		
		'IMPORT_SCAN_DIALOG_DELETE_TEXT'		=> "This scan will be completely deleted and cannot be recovered. Are you sure to continue ?",
		'IMPORT_SCAN_DIALOG_DELETE_CANCEL_BTN'	=> "Cancel",
		'IMPORT_SCAN_DIALOG_DELETE_CONFIRM_BTN'	=> "Delete the scan",
		'IMPORT_CLICK_TO_COPY_MAC'	=> "(Click to copy the mac address)",
		
		'IMPORT_SCAN_TABLE'	=> array(
		"scan_id"			=> "ID",
		"scan_type"			=> "Type",
		"scan_options"		=> "Options",
		"scan_device" 		=> "Agent/Source",
		"scan_actual_status"=> "Status",
		"status_last_change"=> "In this status since",
		"start_addr"		=> "First IP",
		"end_addr" 			=> "Last IP",
		"error_message"		=> "Error Message",
		"free_addr"			=> "Free addresses",
		"detected_devices"	=> "Detected Nodes",
		"actions"		  	=> "Action",),
		
		'IMPORT_SCAN_TASK_STATUS' => array(
		"pending"			=> "Pending",
		"processing"		=> "Processing",
		"terminated"		=> "Completed",
		"error"				=> "In error",),
		
		'IMPORT_HOSTS_SETALL_COL_TOOLTIP'	=> 'Click to copy this field into the cells of the selected rows.',
		'IMPORT_HOSTS_SETALL_ROW_TOOLTIP'	=> 'Click to copy the fields of this row into the cells of the selected lines.',
		'IMPORT_HOSTS_ADD_NODES_BUTTON'		=> 'Add the nodes',
		'IMPORT_HELP_GROUPED_ACTIONS'		=> "Select the nodes to modify using the boxes at the beginning of the table and apply a value with the opposite fields.",
		
		'IMPORT_HOSTS_TABLE'=> array(
		"logo_type"			=> "Type",
		"name"				=> "Name",
		"same_addr"			=> "Already encoded ?",
		"same_addr_yes"		=> "This node is already encoded",
		"same_addr_no"		=> "This node has not yet been added",
		"show_param"		=> "Parameter",
		"mac"				=> "MAC",
		"address"			=> "IP",
		"hostname"			=> "Domain Name",
		"group"				=> "Groups",
		"snmp_status"		=> "SNMP Status",
		"snmp_ver"			=> "SNMP Version",
		"community"			=> "SNMP Community",
		"type"				=> "Type of node",
		"pattern"			=> "Patterns",
		"rdp"				=> "Remote control",
		"Action"			=> "Action",),
		
		'IMPORT_HOST_TYPE_NO_DETECTED'	=> 'Not detected',
	
		'IMPORT_HOSTS_PORT_STATUS'=> array(
		'unknown'			=> 'Unknown',
		'open'				=> 'Open',
		'closed'			=> 'Closed',
		'filtered'			=> 'Filtered',
		'unfiltered'		=> 'Open|Closed',
		'open_filtered'		=> 'Open|Filtered',
		'closed_filtered'	=> 'Closed|Filtered',),
		
		'IMPORT_SCAN_DELETED_MESSAGE'			=> 'The scan %d has been deleted.',
		'IMPORT_SCAN_UNABLE_TO_DELETE_ERROR'	=> 'Impossible to delete the scan %d : %s',
		
		'IMPORT_SCAN_INVALID_AGENT_ERROR'		=> "The source of the scan is invalid.",
		'IMPORT_SCAN_INVALID_RANGEIP_ERROR'		=> "The first IP must be before the last IP and the number of hosts to scan cannot exceed 256.",
		'IMPORT_SCAN_INVALID_COMMUNITIES_ERROR'	=> "You have to specified a comma-separated list of SNMP communities. Each community must be unique.",
		
		'IMPORT_SCAN_SAVED_TASK_MESSAGE'		=> "The scan request %d has been registered and will be executed in a few minutes.",
		'IMPORT_SCAN_UNABLE_TO_SAVE_ERROR'		=> "Impossible to start this scan : %s",
		
		'IMPORT_ALL_PARSING_FILE_ERROR'			=> "The scan task %d has been ignored because it's impossible to parse the file %s corresponding to this task.",
		
		'IMPORT_HOSTS_UNABLE_TO_ADD_NODE_ERROR'	=> "Impossible to add the node %s : %s",
		'IMPORT_HOSTS_DUPLICATE_NAME'			=> "Impossible to add the node %s because this name is already used",
		'IMPORT_HOSTS_GET_PATTERN_LIST_ERROR'	=> "Impossible to recover the list of patterns : %s",
		'IMPORT_HOSTS_ADD_PLUGIN_ERROR'			=> "Impossible to add the plugin %s : %s",
		'IMPORT_HOSTS_FOUND_PATTERN_ERROR'		=> "Impossible to find the pattern %s.",
		'IMPORT_HOSTS_ADD_PATTERN_ERROR'		=> "Impossible to add the pattern %s : %s",
		'IMPORT_HOSTS_NO_PATTERN_SELECTED_ERROR'=> "No pattern has been selected for this node",
		'IMPORT_HOSTS_NODE_ADDED_MESSAGE'		=> "The node %s has been successfully added.",
		'IMPORT_HOSTS_NODE_ADDED_WARNINGS'		=> "The node %s has been successfully added but : ",
		'IMPORT_HOSTS_NO_TASK_ID_GIVEN_ERROR'	=> "No scan ID was given in parameter.",
		'IMPORT_HOSTS_FOUND_TASK_ERROR'			=> "Impossible to find the task %d.",	
		'IMPORT_HOSTS_NO_DETECTED_HOSTS_ERROR'	=> "No host has been detected in this scan.",
		'IMPORT_HOSTS_GROUP_ADD_NUMBER_ERROR'	=> "Node added in %d/%d groups.",
		'IMPORT_HOSTS_ADVISE_MESSAGE'			=> "Use the columns of this row to configure all the selected rows at once.",
		'IMPORT_HOSTS_NODES_ADD_RESULTS'		=> 'Results of adding nodes.',
		'IMPORT_NO_SNMP_CONFIGURED'				=> 'No snmp configured.',
		'IMPORT_NOT_HAVE_RIGHT'					=> 'You can\'t access to this page. You must have all the next rights',
		'IMPORT_SCANS'							=> 'Scans',
		'IMPORT_RDP'							=> 'Remote desktop',
		'IMPORT_SELECT_GROUP_NODE'				=> 'Select the group(s) of nodes to configure',		

		'IMPORT_NODENAME_EMPTY'                                 => 'The node name is empty',
));
?>
