<?php
if (empty($lang) || !is_array($lang))
{
	$lang = array();
}
$lang = array_merge($lang, array(
		'IMPORT_SCAN_ADD_SCAN_LABEL'        	=> "Démarrer un nouveau scan" ,
		'IMPORT_SCAN_ENDED'        	=> "Historique des imports terminés" ,
		'IMPORT_SCAN_ENDED_ERROR'         	=> "Historique des imports en erreur" ,
		'IMPORT_SCAN_DETECTED_NODES'         	=> "Noeuds détectés" ,
		'IMPORT_SCAN_SELECT_SCAN_TYPE_LABEL'	=> "Type de scan",
		'IMPORT_SCAN_SELECT_SOURCE_AGENT_LABEL'	=> "Source du scan",
		'IMPORT_SCAN_ENCODE_FIRST_ADDR_LABEL'	=> "Première IP",
		'IMPORT_SCAN_ENCODE_LAST_ADDR_LABEL'	=> "Dernière IP",
		'IMPORT_SCAN_ENCODE_COMMUNITIES_LABEL'	=> "Communauté SNMP",
		'IMPORT_SCAN_START_SCAN_BUTTON_VALUE'	=> "Démarrer",	
		'IMPORT_SELECT_TITLE'					=> "Sélectionner :",
		'IMPORT_SELECT_ALL'						=> "Tous",
		'IMPORT_SELECT_BY_IP'					=> "Par IP",
		'IMPORT_UNSELECT_ALL'				=> "Aucun",
		'IMPORT_SELECT_TYPE'				=> "Type : ",
		'IMPORT_HTTP_INTERFACE'				=> "Accèder à l'interface web du noeud",
		'IMPORT_RESCAN'						=> "Relancer un scan SNMP sur cette machine",
		'IMPORT_SELECT_NEW'				=> "Nouveaux noeuds",	
		
		'IMPORT_SCAN_DELETE_BUTTON_TOOLTIP'		=> "Supprimer ce scan",
		'IMPORT_SCAN_SEE_BUTTON_TOOLTIP'		=> "Lister les noeuds détectés",
		
		'IMPORT_SCAN_DIALOG_DELETE_TEXT'		=> "Ce scan sera entiérement supprimé et ne pourra donc pas être récupéré. Êtes-vous sûr ?",
		'IMPORT_SCAN_DIALOG_DELETE_CANCEL_BTN'	=> "Annuler",
		'IMPORT_SCAN_DIALOG_DELETE_CONFIRM_BTN'	=> "Supprimer le scan",
		'IMPORT_CLICK_TO_COPY_MAC'	=> "(Cliquez pour copier l'adresse mac)",
		
		'IMPORT_SCAN_TABLE'	=> array(
		"scan_id"			=> "ID",
		"scan_type"			=> "Type",
		"scan_options"		=> "Options",
		"scan_device" 		=> "Agent/Source",
		"scan_actual_status"=> "Status",
		"status_last_change"=> "Dans cet état depuis",
		"start_addr"		=> "Première IP",
		"end_addr" 			=> "Dernière IP",
		"error_message"		=> "Message d'erreur",
		"free_addr"			=> "Adresses libres",
		"detected_devices"	=> "Noeuds détectés",
		"actions"		  	=> "Action",),
		
		'IMPORT_SCAN_TASK_STATUS' => array(
		"pending"			=> "En attente",
		"processing"		=> "En cours",
		"terminated"		=> "Terminée",
		"error"				=> "En erreur",),
		
		'IMPORT_HOSTS_SETALL_COL_TOOLTIP'	=> 'Cliquez pour copier ce champ dans les cellules des lignes sélectionnées.',
		'IMPORT_HOSTS_SETALL_ROW_TOOLTIP'	=> 'Cliquez pour copier les champs de cette ligne dans les cellules des lignes sélectionnées.',
		'IMPORT_HOSTS_ADD_NODES_BUTTON'		=> 'Ajouter les noeuds',
		'IMPORT_HELP_GROUPED_ACTIONS'		=> "Sélectionnez les noeuds à modifier dans la liste ci-dessous et appliquez leur une valeur grâce aux champs ci-contre.",
		
		'IMPORT_HOSTS_TABLE'=> array(
		"logo_type"			=> "Type",
		"name"				=> "Nom",
		"same_addr"			=> "Déjà encodé ?",
		"same_addr_yes"		=> "Ce noeud a déjà été ajouté",
		"same_addr_no"		=> "Ce noeud n'a pas encore été ajouté",
		"show_param"		=> "Paramètres",
		"mac"				=> "MAC",
		"address"			=> "IP",
		"hostname"			=> "Domaine",
		"group"				=> "Groupes",
		"snmp_status"		=> "Status SNMP",
		"snmp_ver"			=> "Version SNMP",
		"community"			=> "Communauté SNMP",
		"type"				=> "Type de noeud",
		"pattern"			=> "Patterns",
		"rdp"				=> "Prise en main à distance",
		"Action"			=> "Action",),
		
		'IMPORT_HOST_TYPE_NO_DETECTED'	=> 'Non détecté',
	
		'IMPORT_HOSTS_PORT_STATUS'=> array(
		'unknown'			=> 'Inconnu',
		'open'				=> 'Ouvert',
		'closed'			=> 'Fermé',
		'filtered'			=> 'Bloqué',
		'unfiltered'		=> 'Ouvert|Fermé',
		'open_filtered'		=> 'Ouvert|Bloqué',
		'closed_filtered'	=> 'Fermé|Bloqué',),
		
		'IMPORT_SCAN_DELETED_MESSAGE'			=> 'Le scan %d a été supprimé.',
		'IMPORT_SCAN_UNABLE_TO_DELETE_ERROR'	=> 'Impossible de supprimer le scan %d : %s',
		
		'IMPORT_SCAN_INVALID_AGENT_ERROR'		=> "La source du scan est invalide.",
		'IMPORT_SCAN_INVALID_RANGEIP_ERROR'		=> "La premère IP doit être avant la dernière IP et le nombre d'hôtes à scanner ne peut excéder 256.",
		'IMPORT_SCAN_INVALID_COMMUNITIES_ERROR'	=> "Vous devez spécifier une liste de communautés SNMP séparées par des virgules. Chaque communauté doit être unique.",
		
		'IMPORT_SCAN_SAVED_TASK_MESSAGE'		=> "La demande de scan %d a été enregistrée et sera exécutée d'ici quelques minutes.",
		'IMPORT_SCAN_UNABLE_TO_SAVE_ERROR'		=> "Impossible de démarrer ce scan : %s",
		
		'IMPORT_ALL_PARSING_FILE_ERROR'			=> "La tâche de scan %d à été ignorée car il est impossible de parser le fichier %s correspondant à cette tâche.",
		
		'IMPORT_HOSTS_UNABLE_TO_ADD_NODE_ERROR'	=> "Impossible d'ajouter le noeud %s : %s",
		'IMPORT_HOSTS_DUPLICATE_NAME'			=> "Impossible d'ajouter le noeud %s car un autre noeud posséde déjà le même nom.",
		'IMPORT_HOSTS_GET_PATTERN_LIST_ERROR'	=> "Impossible de récupérer la liste des patterns : %s",
		'IMPORT_HOSTS_ADD_PLUGIN_ERROR'			=> "Impossible d'ajouter le plugin %s : %s",
		'IMPORT_HOSTS_FOUND_PATTERN_ERROR'		=> "Impossible de trouver le pattern %s.",
		'IMPORT_HOSTS_ADD_PATTERN_ERROR'		=> "Impossible d'ajouter le pattern %s : %s",
		'IMPORT_HOSTS_NO_PATTERN_SELECTED_ERROR'=> "Aucun pattern n'a été sélectionné pour ce noeud",
		'IMPORT_HOSTS_NODE_ADDED_MESSAGE'		=> "Le noeud %s a bien été ajouté.",
		'IMPORT_HOSTS_NODE_ADDED_WARNINGS'		=> "Le noeud %s a bien été ajouté mais : ",
		'IMPORT_HOSTS_NO_TASK_ID_GIVEN_ERROR'	=> "Aucun identifiant de scan n'a été donné en paramètre.",
		'IMPORT_HOSTS_FOUND_TASK_ERROR'			=> "Impossible de trouver la tâche %d.",	
		'IMPORT_HOSTS_NO_DETECTED_HOSTS_ERROR'	=> "Aucun hôte n'a été détécté dans ce scan.",
		'IMPORT_HOSTS_GROUP_ADD_NUMBER_ERROR'	=> "Noeud ajouté dans %d/%d groupes.",
		'IMPORT_HOSTS_ADVISE_MESSAGE'			=> "Utilisez les colonnes de cette ligne afin de configurer en une fois toutes les lignes sélectionnées.",
		'IMPORT_HOSTS_NODES_ADD_RESULTS'		=> "Résultats de l'ajout des noeuds",
		'IMPORT_NO_SNMP_CONFIGURED'				=> 'Le protocole snmp n\'est pas configuré',
		'IMPORT_NOT_HAVE_RIGHT'					=> 'Vous ne pouvez pas accéder à cette page. Vous devez avoir tous les droits suivants',
		'IMPORT_SCANS'							=> 'Scans',
		'IMPORT_RDP'							=> 'Prise en main à distance',
		'IMPORT_SELECT_GROUP_NODE'				=> 'Sélectionnez le/les groupe(s) des noeuds à configurer',		

		'IMPORT_NODENAME_EMPTY'					=> 'Le nom du noeud est vide',
));
?>
