-- Elements nécessaires au module d'importation.

CREATE TYPE scan_status AS ENUM ('pending','processing','terminated','error');
CREATE TYPE scan_type   AS ENUM ('ICMP','SNMP');
CREATE TABLE esia_scan(
	scan_id serial NOT NULL,
	scan_type scan_type NOT NULL DEFAULT 'ICMP',
	scan_changed_status_time timestamp NOT NULL,
	scan_actual_status  scan_status NOT NULL,
	scan_start_addr inet NOT NULL,
	scan_end_addr	inet NOT NULL,
	scan_options	varchar(100),
	scan_agent_id	bigint,
	scan_data_path	varchar(100),
	scan_error_message varchar(200),
	CONSTRAINT "esia_scan_PrimaryKey" PRIMARY KEY (scan_id),
	CONSTRAINT "esia_scan_start_before_end" CHECK (scan_start_addr <= scan_end_addr)
);

INSERT INTO esia_web_plugin (web_name,web_dir_lang,web_index_page,web_activate,web_tpl_method,web_plugin_apache_path,web_page_control,web_show_main_menu,web_icon)
VALUES ('WEBP_IMPORT','lang/','scan-list.php',true,'universal','/plugin/importation/',0,true,'/plugin/importation/module-icon.png');
