function configure_table(table_id){	
	table = $("#"+table_id);
	if (typeof table.data("tablesorter") !== 'undefined')
	{
		table.data("tablesorter").widgets.push('print');
		table.data("tablesorter").widgets.push('columnSelector');
		table.data("tablesorter").widgetOptions['columnSelector_container']=$("#"+table_id+'_columnSelector');
	
		table.tablesorterPager({
	        container: $( "#pager_"+table_id ),
	        output: '{startRow} to {endRow} ({filteredRows})',
	        size: 100,
	    });
		
		$( '#'+table_id+'_print').click(function(){
	          table.trigger('printTable');
		});
	}
}