//Need common.js

function show_confirm_and_remove(scan_id){
	var dialog = $( "#dialog-confirm" );
	
	dialog.data("scan_id",scan_id);
	dialog.dialog( "open" );
}

function create_scan_table(table_id){
	Utils.createTable("#"+table_id);
	configure_table(table_id);
}

$(document).ready(function(){
	$( "#scan_type ").change(function( event, data ){
		var type_scan = $( this ).find( "option:selected" ).text();
		if( type_scan != 'SNMP'){			
			$( '#select_snmp_communities' ).parent().css("display","none");
		}
		else{
			$( '#select_snmp_communities' ).parent().css("display","block");
		}
	});
	
	var dialog		= $("#dialog-confirm");
	var ok_btn 		= dialog.data('ok-btn');
	var cancel_btn 	= dialog.data('cancel-btn');	
	dialog.dialog({
		 	autoOpen: false,
	        resizable: false,
	        height: "auto",
	        width: 400,
	        modal: true,
	        buttons: [
	        	{
	        		text: ok_btn,
	        		click : function(){
	        			$( this ).dialog( "close" );
	        			//$( "body" ).load("",{ action:"delete", scan_id:$( "#dialog-confirm" ).data("scan_id")});
	        			$.get("/plugin/importation/scan-list.php?action=delete&scan_id="+$( "#dialog-confirm" ).data("scan_id"));
	        			$( "#importTabs" ).tabs("load",0);
	        		},
	        	},
	        	{
	        		text : cancel_btn,
	        		click : function(){
	        			$( this ).dialog( "close" );
	        		}	            
	        	}
	        ]
	 });
		
	$("#start_scan_form select.chosen-select").chosen({no_results_text: "Oops, nothing found!",search_contains:true});
	$("#select_scan_agent").on('change',function(evt,params){
		var selected_agent = $("#select_scan_agent option:selected");
		var addr1 = selected_agent.data('addr1');
		var addr2 = selected_agent.data('addr2');
		
		if(addr1 == 'undefined') addr1="";
		if(addr2 == 'undefined') addr2="";
		
		$("#start_scan_form").find('input[name="start_addr"]').val(addr1);
		$("#start_scan_form").find('input[name="end_addr"]').val(addr2);
	}).trigger('change');
	create_scan_table("scan_list");
	create_scan_table("scan_errors");
});
